local function bootstrap_pckr()
  local pckr_path = vim.fn.stdpath("data") .. "/pckr/pckr.nvim"

  if not vim.loop.fs_stat(pckr_path) then
    vim.fn.system({
      'git',
      'clone',
      "--filter=blob:none",
      'https://github.com/lewis6991/pckr.nvim',
      pckr_path
    })
  end

  vim.opt.rtp:prepend(pckr_path)
end

bootstrap_pckr()

return require('pckr').add{
	'lewis6991/gitsigns.nvim';
	'posva/vim-vue';
	'editorconfig/editorconfig-vim';
  'neovim/nvim-lspconfig';
	'nvim-tree/nvim-tree.lua';
	'nvim-tree/nvim-web-devicons';
	'nvim-treesitter/nvim-treesitter';
  'rafamadriz/neon';
  {
    'nvim-telescope/telescope.nvim', branch = '0.1.x',
    requires = { {'nvim-lua/plenary.nvim'} }
  }
}
